Subject: Re: EKY 365 FS TOYOTA YARIS FROM LAPO CASH WORKSHOP JO 66999
From: Raphael Peter <[email-masked]>
To: Lucky Umuokoro <[email-masked]>, Benedict Ochade <[email-masked]>
Cc: Okoroafor Igwe <[email-masked]>, Obinna Ahaiwe <[email-masked]>
Date: Sat, 31 Jan 2026 04:41:17 +0000

190,000.00 Approved I Total

Regards,

Raphael Peter

Risk & Control

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

07031704068 & 08036360053, | [email-masked]

[A white square with blue and black logo  Description automatically generated]

________________________________
From: Lucky Umuokoro <[email-masked]>
Sent: Friday, January 30, 2026 12:51 PM
To: Raphael Peter <[email-masked]>; Benedict Ochade <[email-masked]>
Cc: Okoroafor Igwe <[email-masked]>; Obinna Ahaiwe <[email-masked]>
Subject: Re: EKY 365 FS TOYOTA YARIS FROM LAPO CASH WORKSHOP JO 66999

Dear Raphael,

Kindly approve the total amount which is #190,000.00 from Igwe approval not #160,000.00.

Best Regards,

Umukoro Efemena Lucky.
Maintenance Officer| C & I Leasing | 1 Emovon Cresent Off Ihama Road, Benin City.
07031719577| [email-masked]<http://shaba,[email-masked]/> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text  Description automatically generated]

________________________________
From: Raphael Peter <[email-masked]>
Sent: Wednesday, January 28, 2026 7:44 AM
To: Lucky Umuokoro <[email-masked]>; Benedict Ochade <[email-masked]>
Cc: Okoroafor Igwe <[email-masked]>; Obinna Ahaiwe <[email-masked]>
Subject: Re: EKY 365 FS TOYOTA YARIS FROM LAPO CASH WORKSHOP JO 66999

160,000.00  re-approved for Shocks

Regards,

Raphael Peter

Risk & Control

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

07031704068 & 08036360053, | [email-masked]

[A white square with blue and black logo  Description automatically generated]

________________________________
From: Lucky Umuokoro <[email-masked]>
Sent: Tuesday, January 27, 2026 10:01 AM
To: Raphael Peter <[email-masked]>; Benedict Ochade <[email-masked]>
Cc: Okoroafor Igwe <[email-masked]>; Obinna Ahaiwe <[email-masked]>
Subject: Re: EKY 365 FS TOYOTA YARIS FROM LAPO CASH WORKSHOP JO 66999

Dear Raphael,

Please go head to approve the #160,000.00, I will talk to the workshop to accept it.

Best Regards,

Umukoro Efemena Lucky.
Maintenance Officer| C & I Leasing | 1 Emovon Cresent Off Ihama Road, Benin City.
07031719577| [email-masked]<http://shaba,[email-masked]/> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text  Description automatically generated]

________________________________
From: Raphael Peter <[email-masked]>
Sent: Tuesday, January 27, 2026 9:02 AM
To: Lucky Umuokoro <[email-masked]>; Benedict Ochade <[email-masked]>
Cc: Okoroafor Igwe <[email-masked]>; Obinna Ahaiwe <[email-masked]>
Subject: Re: EKY 365 FS TOYOTA YARIS FROM LAPO CASH WORKSHOP JO 66999

Dear Igwe,

180,000.00 for Front shocks is very high.

Please Lucky look for another workshop to avoid this type of issues.

@Lucky Umuokoro<mailto:[email-masked]>, we can only approve 160,000.00  for  the Front shocks.

Regards,

Raphael Peter

Risk & Control

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

07031704068 & 08036360053, | [email-masked]

[A white square with blue and black logo  Description automatically generated]

________________________________
From: Okoroafor Igwe <[email-masked]>
Sent: Tuesday, January 27, 2026 8:42 AM
To: Lucky Umuokoro <[email-masked]>; Obinna Ahaiwe <[email-masked]>; Benedict Ochade <[email-masked]>; Raphael Peter <[email-masked]>
Subject: RE: EKY 365 FS TOYOTA YARIS FROM LAPO CASH WORKSHOP JO 66999

Additional NGN80,000 reapproved for the front complete shocks.

@Raphael Peter<mailto:[email-masked]> permit this to fly as we have incur about 12 days downtime on the vehicle.

Best Regards

Igwe Leonard Okoroafor

Fleet Maintenance  | C & I Leasing | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos

08172116412| [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text    Description automatically generated]

From: Lucky Umuokoro <[email-masked]>
Sent: Monday, 26 January 2026 18:05
To: Obinna Ahaiwe <[email-masked]>; Benedict Ochade <[email-masked]>; Raphael Peter <[email-masked]>
Cc: Okoroafor Igwe <[email-masked]>
Subject: Re: EKY 365 FS TOYOTA YARIS FROM LAPO CASH WORKSHOP JO 66999

Dear Mr. Obinna,

Good afternoon,

The workshop is asking for #180,000 for the two shocks.

Best Regards,

Umukoro Efemena Lucky.

Maintenance Officer| C & I Leasing | 1 Emovon Cresent Off Ihama Road, Benin City.

07031719577| [email-masked]<http://shaba,[email-masked]/> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text  Description automatically generated]

________________________________

From: Obinna Ahaiwe <[email-masked]<mailto:[email-masked]>>
Sent: Monday, January 26, 2026 3:51 PM
To: Benedict Ochade <[email-masked]<mailto:[email-masked]>>; Lucky Umuokoro <[email-masked]<mailto:[email-masked]>>; Raphael Peter <[email-masked]<mailto:[email-masked]>>
Cc: Okoroafor Igwe <[email-masked]<mailto:[email-masked]>>
Subject: RE: EKY 365 FS TOYOTA YARIS FROM LAPO CASH WORKSHOP JO 66999

Dear @Raphael Peter<mailto:[email-masked]>/@Lucky Umuokoro<mailto:[email-masked]>,

How much is the workshop asking for .

@Raphael Peter<mailto:[email-masked]>, please and with Luck and the workshop and resolve this issue.

Best Regards

Obinna Ahaiwe

Team Lead Fleet Operations | C & I Leasing Plc | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos.

08093909036, 08060132579 | [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<https://us-east-2.protection.sophos.com/?d=c-ileasing.com&u=aHR0cDovL3d3dy5jLWlsZWFzaW5nLmNvbS8=&e=b3ppY2hpLm53YWNodWt3dUBjLWlsZWFzaW5nLmNvbQ==&t=TWlxOHh0YytUSnZld3Y5S3RrQTg5WGkzMnB2MFAyditkMDRUYlFDdTNRQT0=&h=c6e40d66d6014968974577c1c5fa4d02>

[A white square with black and yellow text    Description automatically generated]

From: Benedict Ochade <[email-masked]<mailto:[email-masked]>>
Sent: Monday, 26 January 2026 2:02 PM
To: Obinna Ahaiwe <[email-masked]<mailto:[email-masked]>>; Lucky Umuokoro <[email-masked]<mailto:[email-masked]>>
Cc: Okoroafor Igwe <[email-masked]<mailto:[email-masked]>>; Raphael Peter <[email-masked]<mailto:[email-masked]>>
Subject: RE: EKY 365 FS TOYOTA YARIS FROM LAPO CASH WORKSHOP JO 66999

Dear Sir, @Obinna Ahaiwe<mailto:[email-masked]>,

Kindly assist us to closeout on this lingering repair approval .

We are incurring a lot of downtime loss of revenue and customer dissatisfaction

Best Regards,

Benedict Ochade
FLEET OFFICER / BUSINESS DEVELOPMENT EXECUTIVE No. 1 EMOVON CRESCENT OFF IHAMA ROAD, GRA BENIN CITY.

09062660982 | [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.c-ileasing.com/>

[Description: SON Button][Description: IMCA][Trace button]

From: Lucky Umuokoro <[email-masked]<mailto:[email-masked]>>
Sent: Monday, 26 January 2026 13:53
To: Benedict Ochade <[email-masked]<mailto:[email-masked]>>
Subject: Re: EKY 365 FS TOYOTA YARIS FROM LAPO CASH WORKSHOP JO 66999

Best Regards,

Umukoro Efemena Lucky.

Maintenance Officer| C & I Leasing | 1 Emovon Cresent Off Ihama Road, Benin City.

07031719577| [email-masked]<http://shaba,[email-masked]/> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text  Description automatically generated]

________________________________

From: Lucky Umuokoro <[email-masked]<mailto:[email-masked]>>
Sent: Sunday, January 18, 2026 8:47 AM
To: Raphael Peter <[email-masked]<mailto:[email-masked]>>
Subject: Re: EKY 365 FS TOYOTA YARIS FROM LAPO CASH WORKSHOP JO 66999

Ok, sir.

Oga, please assist to validate vulcanizing jobs I sent to you.

The man is on my neck.

Get Outlook for Android<https://aka.ms/AAb9ysg>

________________________________

From: Raphael Peter <[email-masked]<mailto:[email-masked]>>
Sent: Saturday, January 17, 2026 6:35:34 PM
To: Lucky Umuokoro <[email-masked]<mailto:[email-masked]>>
Subject: Re: EKY 365 FS TOYOTA YARIS FROM LAPO CASH WORKSHOP JO 66999

Dear Lucky,

Please since it is cash payment look for another workshop

________________________________

From: Lucky Umuokoro <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, January 15, 2026 3:04 PM
To: Raphael Peter <[email-masked]<mailto:[email-masked]>>
Subject: Re: EKY 365 FS TOYOTA YARIS FROM LAPO CASH WORKSHOP JO 66999

Dear Raphael,

With the amount you are saying, the workshop is saying he cant  get that price in Benin.

Best Regards,

Umukoro Efemena Lucky.

Maintenance Officer| C & I Leasing | 1 Emovon Cresent Off Ihama Road, Benin City.

07031719577| [email-masked]<http://shaba,[email-masked]/> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text  Description automatically generated]

________________________________

From: Raphael Peter <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, January 15, 2026 3:01 PM
To: Lucky Umuokoro <[email-masked]<mailto:[email-masked]>>
Subject: Re: EKY 365 FS TOYOTA YARIS FROM LAPO CASH WORKSHOP JO 66999

Let him get from his Part sellers not through us

Regards,

Raphael Peter

Risk & Control

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

07031704068 & 08036360053, | [email-masked]<mailto:[email-masked]>

[A white square with blue and black logo  Description automatically generated]

________________________________

From: Lucky Umuokoro <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, January 15, 2026 2:08 PM
To: Raphael Peter <[email-masked]<mailto:[email-masked]>>
Subject: Re: EKY 365 FS TOYOTA YARIS FROM LAPO CASH WORKSHOP JO 66999

Gentle reminder.

Best Regards,

Umukoro Efemena Lucky.

Maintenance Officer| C & I Leasing | 1 Emovon Cresent Off Ihama Road, Benin City.

07031719577| [email-masked]<http://shaba,[email-masked]/> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text  Description automatically generated]

________________________________

From: Lucky Umuokoro <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, January 15, 2026 12:00 PM
To: Raphael Peter <[email-masked]<mailto:[email-masked]>>
Subject: Re: EKY 365 FS TOYOTA YARIS FROM LAPO CASH WORKSHOP JO 66999

Dear Raphael,

Let me tell you, Toyota Yaris parts  in Benin is very difficult to get, the workshop  had to called somebody in Lagos to get it for him.

Please if you can assist us to get it in Lagos in that amount I will be happy.

Best Regards,

Umukoro Efemena Lucky.

Maintenance Officer| C & I Leasing | 1 Emovon Cresent Off Ihama Road, Benin City.

07031719577| [email-masked]<http://shaba,[email-masked]/> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text  Description automatically generated]

________________________________

From: Raphael Peter <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, January 15, 2026 11:45 AM
To: Lucky Umuokoro <[email-masked]<mailto:[email-masked]>>
Subject: Re: EKY 365 FS TOYOTA YARIS FROM LAPO CASH WORKSHOP JO 66999

Tell the workshop we are paying cash.

If nah Lagos I will not pay more that 50K.

That shock is for Toyota and is common everywhere.

Forget that Conquest name.

Regards,

Raphael Peter

Risk & Control

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

07031704068 & 08036360053, | [email-masked]<mailto:[email-masked]>

[A white square with blue and black logo  Description automatically generated]

________________________________

From: Lucky Umuokoro <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, January 15, 2026 11:41 AM
To: Raphael Peter <[email-masked]<mailto:[email-masked]>>
Subject: Re: EKY 365 FS TOYOTA YARIS FROM LAPO CASH WORKSHOP JO 66999

Dear Raphael,

Please the workshop  is saying the amount approve for the shocks is small for the job.

Best Regards,

Umukoro Efemena Lucky.

Maintenance Officer| C & I Leasing | 1 Emovon Cresent Off Ihama Road, Benin City.

07031719577| [email-masked]<http://shaba,[email-masked]/> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text  Description automatically generated]

________________________________

From: Raphael Peter <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, January 15, 2026 10:46 AM
To: Lucky Umuokoro <[email-masked]<mailto:[email-masked]>>
Cc: Benedict Ochade <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>; Okoroafor Igwe <[email-masked]<mailto:[email-masked]>>
Subject: Re: EKY 365 FS TOYOTA YARIS FROM LAPO CASH WORKSHOP JO 66999

Dear Lucky,

Kindly use this approval.

  S/N

Items

Quantity

Estimated amount

Approved amount

Control

1

Complete front  shocks

220,000.00

160,000

100,000

2

Complete front and back  brake pads

20,000.00

20000

20000

3

Transport

5,000.00

cancelled

cancelled

4

Labour

10,000.00

10000

10000

Total

255,000.00

NGN190,000

NGN130,000

Regards,

Raphael Peter

Risk & Control

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

07031704068 & 08036360053, | [email-masked]<mailto:[email-masked]>

[A white square with blue and black logo  Description automatically generated]

________________________________

From: Lucky Umuokoro <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, January 15, 2026 9:29 AM
To: Raphael Peter <[email-masked]<mailto:[email-masked]>>
Cc: Benedict Ochade <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>; Okoroafor Igwe <[email-masked]<mailto:[email-masked]>>
Subject: Re: EKY 365 FS TOYOTA YARIS FROM LAPO CASH WORKSHOP JO 66999

Dear Rapheal.

Kindly approve for further processing

Best Regards,

Umukoro Efemena Lucky.

Maintenance Officer| C & I  leasing | 1 Emovon Cresent Off Ihama Road, Benin City.

07031719577| [email-masked]<http://shaba,[email-masked]/> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text  Description automatically generated]

________________________________

From: Okoroafor Igwe <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, January 15, 2026 9:18 AM
To: Lucky Umuokoro <[email-masked]<mailto:[email-masked]>>
Cc: Raphael Peter <[email-masked]<mailto:[email-masked]>>; Benedict Ochade <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>
Subject: RE: EKY 365 FS TOYOTA YARIS FROM LAPO CASH WORKSHOP JO 66999

Dear Lucky,

Kindly use this approval.

  S/N

Items

Quantity

Estimated amount

Approved amount

1

Complete front  shocks

220,000.00

160,000

2

Complete front and back  brake pads

20,000.00

20000

3

Transport

5,000.00

cancelled

4

Labour

10,000.00

10000

Total

255,000.00

NGN190,000

Best Regards

Igwe Leonard Okoroafor

Fleet Maintenance  | C & I Leasing | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos

08172116412| [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text  Description automatically generated]

From: Lucky Umuokoro <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, 15 January 2026 09:14
To: Okoroafor Igwe <[email-masked]<mailto:[email-masked]>>
Cc: Raphael Peter <[email-masked]<mailto:[email-masked]>>; Benedict Ochade <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>
Subject: Re: EKY 365 FS TOYOTA YARIS FROM LAPO CASH WORKSHOP JO 66999

Dear sir,

Good morning,

Please this comes as a gentle reminder.

Best Regards,

Umukoro Efemena Lucky.

Maintenance Officer| C & I Leasing | 1 Emovon Cresent Off Ihama Road, Benin City.

07031719577| [email-masked]<http://shaba,[email-masked]/> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text  Description automatically generated]

________________________________

From: Lucky Umuokoro
Sent: Wednesday, January 14, 2026 12:37 PM
To: Okoroafor Igwe <[email-masked]<mailto:[email-masked]>>
Cc: Raphael Peter <[email-masked]<mailto:[email-masked]>>; Benedict Ochade <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>
Subject: EKY 365 FS TOYOTA YARIS FROM LAPO CASH WORKSHOP JO 66999

Good afternoon, sir!

Kindly find the table for your approval.

  S/N

Items

Quantity

Estimated amount

Approved amount

1

Complete front  shocks

220,000.00

2

Complete front and back  brake pads

20,000.00

3

Transport

5,000.00

4

Labour

10,000.00

Total

255,000.00

Best Regards,

Umukoro Efemena Lucky.

Maintenance Officer| C & I Leasing | 1 Emovon Cresent Off Ihama Road, Benin City.

07031719577| [email-masked]<http://shaba,[email-masked]/> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text  Description automatically generated]